Get OEE metrics for a resource in a timeframe
curl --request GET \
--url https://api.bold-factory.com/v1/production/resources/{resourceReference}/oee \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/production/resources/{resourceReference}/oee"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/production/resources/{resourceReference}/oee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"workstation": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"areaId": "<string>",
"area": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"description": "<string>",
"parentId": "<string>",
"parent": null,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"autocompleteOperations": true,
"infiniteCapacity": true,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"totals": {
"totalTimeSeconds": 123,
"scheduledTimeSeconds": 123,
"plannedDowntimeSeconds": 123,
"plannedProductionTimeSeconds": 123,
"runningSeconds": 123,
"unplannedDowntimeSeconds": 123,
"idleSeconds": 123,
"runningOutOfScheduleSeconds": 123,
"occupancy": 123,
"availability": 123,
"performance": 123,
"quality": 123,
"oee": 123
},
"timeline": [
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"totalElapsedSeconds": 123,
"relevantDetails": {
"maintenance": [
"<string>"
],
"interruptions": [
"<string>"
],
"operations": [
"<string>"
]
},
"ignoredDetails": {
"maintenance": [
"<string>"
],
"interruptions": [
"<string>"
],
"operations": [
"<string>"
]
}
}
],
"operations": [
{
"orderId": "<string>",
"orderCode": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"status": "<string>",
"productId": "<string>",
"managesLots": true,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"operationId": "<string>",
"name": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"operationPercentageInSchedule": 123,
"operationPercentageOutOfSchedule": 123,
"theoreticalSecondsInSchedule": 123,
"realSecondsInSchedule": 123,
"realSecondsOutOfSchedule": 123,
"performance": 123,
"goodUnitsInSchedule": 123,
"rejectedUnitsInSchedule": 123,
"goodUnitsOutOfSchedule": 123,
"quality": 123
}
],
"unplannedDowntime": {
"maintenance": [
{
"workOrderId": "<string>",
"workOrderCode": "<string>",
"causeName": "<string>",
"planned": true,
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"totalElapsedSeconds": 123
}
],
"interruptions": [
{
"interruptionId": "<string>",
"interruptionTypeId": "<string>",
"interruptionName": "<string>",
"operationId": "<string>",
"operationName": "<string>",
"comments": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"totalElapsedSeconds": 123
}
]
},
"plannedDowntime": {
"maintenance": [
{
"workOrderId": "<string>",
"workOrderCode": "<string>",
"causeName": "<string>",
"planned": true,
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"totalElapsedSeconds": 123
}
],
"interruptions": [
{
"interruptionId": "<string>",
"interruptionTypeId": "<string>",
"interruptionName": "<string>",
"operationId": "<string>",
"operationName": "<string>",
"comments": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"totalElapsedSeconds": 123
}
]
}
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Workstations
Get OEE metrics for a resource in a timeframe
deprecated
Requires `Production.Workstations.Read`, `Production.Orders.Read` and `Maintenance.WorkOrders.Read` permissions
Deprecated: Use /v{version:apiVersion}/production/workstations/{workstationReference}/oee instead
GET
/
v1
/
production
/
resources
/
{resourceReference}
/
oee
Get OEE metrics for a resource in a timeframe
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I